--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Update every Resource in the Collection bypassing validation
- !ruby/struct:SM::Flow::VERB 
  body: "  Person.all(:age.gte =&gt; 21).update!(:allow_beer =&gt; true)\n"
- !ruby/struct:SM::Flow::P 
  body: "@param [Hash] attributes"
- !ruby/struct:SM::Flow::VERB 
  body: "  attributes to update\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Boolean]"
- !ruby/struct:SM::Flow::VERB 
  body: "  true if the resources were successfully updated\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Collection#update!
is_singleton: false
name: update!
params: (attributes = {})
visibility: public
